## lua-sandbox 1.1.0

=== CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(luasandbox VERSION 1.1.0 LANGUAGES C)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Generic Lua sandbox for dynamic data analysis")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_CONTACT "Mike Trinkala <trink@mozilla.com>")
set(CPACK_RPM_PACKAGE_LICENSE "MPLv2.0")

include(GNUInstallDirs)
if(WIN32)
  set(INSTALL_CMAKE_DIR cmake)
  set(CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_BINDIR})
else()
  set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake")
endif()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(mozsvc)

include(CheckFunctionExists)
check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
if(HAVE_CLOCK_GETTIME)
  add_definitions(-DHAVE_CLOCK_GETTIME)
endif()

include(CMakePackageConfigHelpers)
configure_package_config_file(cmake/${PROJECT_NAME}Config.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
                              INSTALL_DESTINATION ${INSTALL_CMAKE_DIR}
                              PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                 COMPATIBILITY AnyNewerVersion ) # todo change to SameMajorVersion after 1.0
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake 
              ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION ${INSTALL_CMAKE_DIR})

find_library(LIBM_LIBRARY m)
find_package(Git REQUIRED)

include_directories("${CMAKE_SOURCE_DIR}/include" "${CMAKE_SOURCE_DIR}/include/luasandbox" )
install(DIRECTORY "${CMAKE_SOURCE_DIR}/include/" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION ${CMAKE_INSTALL_DOCDIR})

add_subdirectory(src)
add_dependencies(luasandbox luasandboxutil)
add_dependencies(luasandboxtest luasandbox)
add_dependencies(luasandboxheka luasandboxtest)

=== src/heka/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

set(HEKA_SRC
message.c
sandbox.c
stream_reader.c
)

add_library(luasandboxheka SHARED ${HEKA_SRC})
set_target_properties(luasandboxheka PROPERTIES VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} SOVERSION 0)
target_compile_definitions(luasandboxheka PRIVATE -Dluasandboxheka_EXPORTS)
target_link_libraries(luasandboxheka luasandbox)
if(WIN32)
  target_link_libraries(luasandboxheka ws2_32)
endif()

if(LIBM_LIBRARY)
  target_link_libraries(luasandboxheka ${LIBM_LIBRARY})
endif()

install(TARGETS luasandboxheka DESTINATION ${CMAKE_INSTALL_LIBDIR})
add_subdirectory(test)

=== debian/changelog ===
lua-sandbox (1.1.0-2) unstable; urgency=medium

  * Conflicts on upstream package name (luasandbox) to avoid installing both
    together.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 01 Oct 2016 15:16:16 +0200

lua-sandbox (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add git to Build-Depends.
  * Update symbols file.
  * Install /usr/include/luasandbox.h

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 15:40:32 +0200

lua-sandbox (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #838969).

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 10:51:39 +0200

=== debian/control ===
Source: lua-sandbox
Section: interpreters
Priority: optional
Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9), cmake,
# Only until https://github.com/mozilla-services/lua_sandbox/issues/158 is fixed
 git
Standards-Version: 3.9.8
Homepage: https://github.com/mozilla-services/lua_sandbox
Vcs-Git: https://anonscm.debian.org/pkg-heka/lua-sandbox.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-heka/lua-sandbox.git

Package: libluasandbox0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
# Upstream package name
Conflicts: luasandbox
Description: Generic Lua sandbox library for dynamic data analysis — dynamic library
 The Lua sandbox is a library allowing customized control over the Lua
 execution environment including functionality like global data
 preservation/restoration on shutdown/startup, output collection in textual or
 binary formats and an array of parsers for various data types (Nginx, Apache,
 Syslog, MySQL and many RFC grammars).
 .
 Sandboxes provide a dynamic and isolated execution environment for data
 parsing, transformation, and analysis. They allow access to data without
 jeopardizing the integrity or performance of the processing infrastructure.
 This broadens the audience that the data can be exposed to and facilitates new
 uses of the data (i.e. debugging, monitoring, dynamic provisioning, SLA
 analysis, intrusion detection, ad-hoc reporting, etc.)
 .
 Features of lua-sandbox:
  - small: memory requirements are as little as 8 KiB for a basic sandbox
  - fast: microsecond execution times
  - stateful: ability to resume where it left off after a restart/reboot
  - isolated: failures are contained and malfunctioning sandboxes are
    terminated. Containment is defined in terms of restriction to the operating
    system, file system, libraries, memory use, Lua instruction use, and output
    size.

Package: libluasandbox-dev
Architecture: any
Section: libdevel
Depends: libluasandbox0 (= ${binary:Version}), ${misc:Depends}
Description: Generic Lua sandbox library for dynamic data analysis – development files
 The Lua sandbox is a library allowing customized control over the Lua
 execution environment including functionality like global data
 preservation/restoration on shutdown/startup, output collection in textual or
 binary formats and an array of parsers for various data types (Nginx, Apache,
 Syslog, MySQL and many RFC grammars).
 .
 This package contains the C headers and other development files.

Package: libluasandbox-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Lua sandbox library for dynamic data analysis – utilities
 The Lua sandbox is a library allowing customized control over the Lua
 execution environment including functionality like global data
 preservation/restoration on shutdown/startup, output collection in textual or
 binary formats and an array of parsers for various data types (Nginx, Apache,
 Syslog, MySQL and many RFC grammars).
 .
 This package contains the command line utilities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release

override_dh_install:
	dh_install --fail-missing

## lua-sandbox 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
-project(luasandbox VERSION 1.1.0 LANGUAGES C)
+project(luasandbox VERSION 1.2.1 LANGUAGES C)
 
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Generic Lua sandbox for dynamic data analysis")
 set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
@@ -35,13 +35,12 @@
                               INSTALL_DESTINATION ${INSTALL_CMAKE_DIR}
                               PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
-                                 COMPATIBILITY AnyNewerVersion ) # todo change to SameMajorVersion after 1.0
+                                 COMPATIBILITY SameMajorVersion)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake 
               ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
         DESTINATION ${INSTALL_CMAKE_DIR})
 
 find_library(LIBM_LIBRARY m)
-find_package(Git REQUIRED)
 
 include_directories("${CMAKE_SOURCE_DIR}/include" "${CMAKE_SOURCE_DIR}/include/luasandbox" )
 install(DIRECTORY "${CMAKE_SOURCE_DIR}/include/" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== src/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

if(MSVC)
	add_definitions(
	-DLUA_BUILD_AS_DLL
	-D_CRT_SECURE_NO_WARNINGS
	)
else()
	add_definitions(
	-DLUA_USE_POSIX 
	-DLUA_USE_DLOPEN 
	-DLUA_USE_STRTODHEX
	-DLUA_USE_LONGLONG 
	-DLUA_USE_GMTIME_R
	)
endif()

set(LUA_SRC
lua/lapi.c
lua/lauxlib.c
lua/lbaselib.c
lua/lcode.c
lua/ldblib.c
lua/ldebug.c
lua/ldo.c
lua/ldump.c
lua/lfunc.c 
lua/lgc.c
lua/linit.c
lua/liolib.c
lua/llex.c
lua/lmathlib.c
lua/lmem.c
lua/loadlib.c 
lua/lobject.c
lua/lopcodes.c
lua/loslib.c
lua/lparser.c
lua/lstate.c
lua/lstring.c
lua/lstrlib.c
lua/ltable.c
lua/ltablib.c
lua/ltm.c
lua/lundump.c
lua/lvm.c
lua/lzio.c
)

set(LUA_SANDBOX_SRC
luasandbox.c
luasandbox_output.c
luasandbox_serialize.c
)

add_library(luasandbox SHARED ${LUA_SANDBOX_SRC} ${LUA_SRC})
set_target_properties(luasandbox PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION 0)
target_link_libraries(luasandbox luasandboxutil ${CMAKE_DL_LIBS})
if(LIBM_LIBRARY)
  target_link_libraries(luasandbox ${LIBM_LIBRARY})
endif()
install(TARGETS luasandbox DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_subdirectory(util)
add_subdirectory(heka)
if(NOT WIN32) # todo need to add getopt support for Windows
  add_subdirectory(cli)
endif()
add_subdirectory(test)

=== src/cli/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

add_executable(lsb_heka_cat lsb_heka_cat)
target_link_libraries(lsb_heka_cat luasandboxutil)

if(LIBM_LIBRARY)
  target_link_libraries(lsb_heka_cat ${LIBM_LIBRARY})
endif()

install(TARGETS lsb_heka_cat DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/heka/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 set(HEKA_SRC
 message.c
+read_message_zc.c
 sandbox.c
 stream_reader.c
 )

=== src/test/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

add_library(luasandboxtest SHARED sandbox.c)
set_target_properties(luasandboxtest PROPERTIES VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} SOVERSION 0)
target_compile_definitions(luasandboxtest PRIVATE -Dluasandboxtest_EXPORTS)
target_link_libraries(luasandboxtest luasandbox)
install(TARGETS luasandboxtest DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_executable(test_generic_sandbox test_generic_sandbox.c)
target_link_libraries(test_generic_sandbox luasandboxtest)
set(LIBRARY_PATHS "${CMAKE_BINARY_DIR}/src;${CMAKE_BINARY_DIR}/src/util;${CMAKE_BINARY_DIR}/src/test")

add_test(NAME test_move_luasandbox_lua_modules COMMAND cmake -E copy_directory ${CMAKE_SOURCE_DIR}/modules ${CMAKE_CURRENT_BINARY_DIR}/modules)
add_test(NAME test_move_luasandbox_tests COMMAND cmake -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
add_test(NAME test_generic_sandbox COMMAND test_generic_sandbox)

if(WIN32)
   STRING(REPLACE ";" "\\\\;" LIBRARY_PATHS "${LIBRARY_PATHS}")
   set_tests_properties(test_generic_sandbox PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
endif()

=== src/util/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

set(UTIL_SRC
heka_message.c
heka_message_matcher.c
heka_message_matcher_parser.c
input_buffer.c
output_buffer.c
protobuf.c
running_stats.c
string.c
string_matcher.c
util.c
)

add_library(luasandboxutil SHARED ${UTIL_SRC})
set_target_properties(luasandboxutil PROPERTIES VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} SOVERSION 0)
target_compile_definitions(luasandboxutil PRIVATE -Dluasandboxutil_EXPORTS)

if(LIBM_LIBRARY)
  target_link_libraries(luasandboxutil ${LIBM_LIBRARY})
endif()

install(TARGETS luasandboxutil DESTINATION ${CMAKE_INSTALL_LIBDIR})
add_subdirectory(test)

=== src/heka/test/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

configure_file(test.h.in test.h ESCAPE_QUOTES)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
set(LIBRARY_PATHS "${CMAKE_BINARY_DIR}/src;${CMAKE_BINARY_DIR}/src/util;${CMAKE_BINARY_DIR}/src;${CMAKE_BINARY_DIR}/src/heka")

add_test(NAME test_move_heka_sandbox_tests COMMAND cmake -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_executable(test_heka_sandbox test_heka_sandbox.c)
target_link_libraries(test_heka_sandbox luasandboxheka)
add_test(NAME test_heka_sandbox COMMAND test_heka_sandbox)

if(WIN32)
   STRING(REPLACE ";" "\\\\;" LIBRARY_PATHS "${LIBRARY_PATHS}")
   set_tests_properties(test_heka_sandbox PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
endif()

=== src/util/test/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

add_executable(test_input_buffer test_input_buffer.c)
target_link_libraries(test_input_buffer luasandboxutil)
add_test(NAME test_input_buffer COMMAND test_input_buffer)

add_executable(test_output_buffer test_output_buffer.c)
target_link_libraries(test_output_buffer luasandboxutil)
add_test(NAME test_output_buffer COMMAND test_output_buffer)

add_executable(test_protobuf test_protobuf.c)
target_link_libraries(test_protobuf luasandboxutil)
add_test(NAME test_protobuf COMMAND test_protobuf)

add_executable(test_string_matcher test_string_matcher.c)
target_link_libraries(test_string_matcher luasandboxutil)
add_test(NAME test_string_matcher COMMAND test_string_matcher)

add_executable(test_running_stats test_running_stats.c)
target_link_libraries(test_running_stats luasandboxutil)
add_test(NAME test_running_stats COMMAND test_running_stats)

add_executable(test_util test_util.c)
target_link_libraries(test_util luasandboxutil)
add_test(NAME test_util COMMAND test_util)

add_executable(test_heka_message test_heka_message.c)
target_link_libraries(test_heka_message luasandboxutil)
add_test(NAME test_heka_message COMMAND test_heka_message)

add_executable(test_heka_message_matcher test_heka_message_matcher.c)
target_link_libraries(test_heka_message_matcher luasandboxutil)
add_test(NAME test_heka_message_matcher COMMAND test_heka_message_matcher)

add_executable(test_string test_string.c)
target_link_libraries(test_string luasandboxutil)
add_test(NAME test_string COMMAND test_string)

if(WIN32)
   set(LIBRARY_PATHS "${CMAKE_BINARY_DIR}/src/util")
   set_tests_properties(test_input_buffer PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_output_buffer PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_protobuf PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_string_matcher PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_running_stats PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_util PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_heka_message PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_heka_message_matcher PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
   set_tests_properties(test_string PROPERTIES ENVIRONMENT PATH=${LIBRARY_PATHS})
endif()

=== debian/changelog ===
lua-sandbox (1.2.1-4) unstable; urgency=medium

  * Fix default path and cpath
  * Use the correct temp path for luasandbox-deb-multiarch.h

 -- Mathieu Parent <sathieu@debian.org>  Sat, 31 Dec 2016 15:19:09 +0100

lua-sandbox (1.2.1-3) unstable; urgency=medium

  * Add luasandbox-binary-doc.patch
  * Update patches and mention upstream pull-requests
  * Fix FTBFS:
    - on 32-bit (Closes: #845929), and
    - big-endian architectures (Closes: #845928)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 13 Dec 2016 21:34:02 +0100

lua-sandbox (1.2.1-2) unstable; urgency=medium

  * Improve unsandboxed mode by adding package.preload
  * Also expose package.sandboxed

 -- Mathieu Parent <sathieu@debian.org>  Thu, 17 Nov 2016 22:11:24 +0100

lua-sandbox (1.2.1-1) unstable; urgency=medium

  * New upstream version
    - Build-Depends: git no more needed
  * Add me to Uploaders
  * Add pkgconfig support, inspired by src:lua5.1
  * Restore lua.c from lua5.1
  * Make luasandbox behave like lua5.1
    + setprogdir and setpath (private) functions are back
    + luaopen_package has an additionnal argument "sandboxed"
      - which defaults to false
      - which is set to true from lsb_init
    + if sandboxed, behavior is not changed
    + if not sandboxed:
      - cpath and path, are set in "lsb_config" hidden table
      - package has a metatable which only allow access to cpath and path when
        not sandboxed
  * Set default path and cpath when not sandboxed
  * Run dh_makeshlibs with -c4 to ensure we don't miss symbol changes
  * Update debian/libluasandbox0.symbols
  * Remove unused lintian override

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 Nov 2016 22:41:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), cmake,
-# Only until https://github.com/mozilla-services/lua_sandbox/issues/158 is fixed
- git
+Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper (>= 9), cmake
 Standards-Version: 3.9.8
 Homepage: https://github.com/mozilla-services/lua_sandbox
 Vcs-Git: https://anonscm.debian.org/pkg-heka/lua-sandbox.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

PKG_DIR=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
PKG_CONFIG_FILE=$(PKG_DIR)/luasandbox.pc
PKG_CONFIG_FILE_FBSD=$(PKG_DIR)/lua-sandbox.pc
LUA_MULTIARCH_INCLUDE = debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
LUA_MULTIARCH = luasandbox-deb-multiarch.h

%:
	dh $@

override_dh_auto_configure:
	echo "#ifndef _LUA_DEB_MULTIARCH_" > include/luasandbox/$(LUA_MULTIARCH)
	echo "#define _LUA_DEB_MULTIARCH_" >> include/luasandbox/$(LUA_MULTIARCH)
	echo "#define DEB_HOST_MULTIARCH \"$(DEB_HOST_MULTIARCH)\"" >> \
	    include/luasandbox/$(LUA_MULTIARCH)
	echo "#endif" >> include/luasandbox/$(LUA_MULTIARCH)

	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release


override_dh_auto_install:
	dh_auto_install
	mkdir -p `dirname $(PKG_CONFIG_FILE)`
	echo "prefix=/usr" > $(PKG_CONFIG_FILE)
	echo "major_version=sandbox" >> $(PKG_CONFIG_FILE)
	echo "version=sandbox.0" >> $(PKG_CONFIG_FILE)
	echo "lib_name_include=luasandbox" >> $(PKG_CONFIG_FILE)
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_FBSD)
	mkdir -p $(LUA_MULTIARCH_INCLUDE)
	cp include/luasandbox/$(LUA_MULTIARCH) $(LUA_MULTIARCH_INCLUDE)

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/luasandbox/$(LUA_MULTIARCH)

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/lua-sandbox-$1.tar.gz/" \
https://github.com/mozilla-services/lua_sandbox/releases .*/archive/v?(\d.*)\.tar\.gz
